[arch-commits] Commit in libwebkit/trunk (PKGBUILD webkit-add-gzip.patch)

Jan de Groot jgc at archlinux.org
Wed Dec 16 19:00:15 UTC 2009


    Date: Wednesday, December 16, 2009 @ 14:00:15
  Author: jgc
Revision: 61483

upgpkg: libwebkit 1.1.15.4-2
    Include patch to support gzip encoding. Speeds up a lot of sites and fixes some that assume gzip encoding is supported by every browser

Added:
  libwebkit/trunk/webkit-add-gzip.patch
Modified:
  libwebkit/trunk/PKGBUILD

-----------------------+
 PKGBUILD              |   11 +++++++----
 webkit-add-gzip.patch |   30 ++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-12-16 18:49:06 UTC (rev 61482)
+++ PKGBUILD	2009-12-16 19:00:15 UTC (rev 61483)
@@ -3,25 +3,28 @@
 
 pkgname=libwebkit
 pkgver=1.1.15.4
-pkgrel=1
+pkgrel=2
 pkgdesc="an opensource web content engine, derived from KHTML and KJS from KDE"
 arch=('i686' 'x86_64')
 url="http://webkitgtk.org/"
 license=('custom')
-depends=('libxt' 'libxslt' 'sqlite3>=3.6.18' 'gtk2>=2.18.0' 'icu>=4.2' 'gstreamer0.10-base>=0.10.24' 'libsoup>=2.28.0' 'enchant>=1.4.2')
+depends=('libxt' 'libxslt' 'sqlite3>=3.6.21' 'gtk2>=2.18.5' 'icu>=4.2' 'gstreamer0.10-base>=0.10.25' 'libsoup>=2.28.2' 'enchant>=1.5.0')
 makedepends=('gperf' 'gtk-doc>=1.11')
 provides=('webkitgtk-svn')
 conflicts=('webkitgtk-svn')
 replaces=('webkitgtk-svn')
 options=('!libtool')
 source=(http://webkitgtk.org/webkit-${pkgver}.tar.gz
-        webkitdownload-use-webkitnetworkresponse.patch)
+        webkitdownload-use-webkitnetworkresponse.patch
+        webkit-add-gzip.patch)
 md5sums=('47301fb7120421ac38bf714db8f5d428'
-         'a041ddf393002ebd4ea4eaec972c47c2')
+         'a041ddf393002ebd4ea4eaec972c47c2'
+         'adf43a17499c136f35b899967b01b9f9')
 
 build() {
   cd "${srcdir}/webkit-${pkgver}"
   patch -Np1 -i "${srcdir}/webkitdownload-use-webkitnetworkresponse.patch" || return 1
+  patch -Np1 -i "${srcdir}/webkit-add-gzip.patch" || return 1
   ./configure --prefix=/usr \
       --enable-video \
       --with-font-backend=freetype --enable-gtk-doc \

Added: webkit-add-gzip.patch
===================================================================
--- webkit-add-gzip.patch	                        (rev 0)
+++ webkit-add-gzip.patch	2009-12-16 19:00:15 UTC (rev 61483)
@@ -0,0 +1,30 @@
+diff --git a/WebCore/platform/network/soup/ResourceHandleSoup.cpp b/WebCore/platform/network/soup/ResourceHandleSoup.cpp
+index 2177bd2..85ca8c5 100644
+--- a/WebCore/platform/network/soup/ResourceHandleSoup.cpp
++++ b/WebCore/platform/network/soup/ResourceHandleSoup.cpp
+@@ -541,12 +541,6 @@ static bool startHttp(ResourceHandle* handle)
+     // balanced by a deref() in finishedCallback, which should always run
+     handle->ref();
+ 
+-    // FIXME: For now, we cannot accept content encoded in anything
+-    // other than identity, so force servers to do it our way. When
+-    // libsoup gets proper Content-Encoding support we will want to
+-    // use it here instead.
+-    soup_message_headers_replace(d->m_msg->request_headers, "Accept-Encoding", "identity");
+-
+     // Balanced in ResourceHandleInternal's destructor; we need to
+     // keep our own ref, because after queueing the message, the
+     // session owns the initial reference.
+diff --git a/WebKit/gtk/webkit/webkitprivate.cpp b/WebKit/gtk/webkit/webkitprivate.cpp
+index 4425dcd..975708e 100644
+--- a/WebKit/gtk/webkit/webkitprivate.cpp
++++ b/WebKit/gtk/webkit/webkitprivate.cpp
+@@ -249,6 +249,8 @@ void webkit_init()
+     SoupSessionFeature* sniffer = static_cast<SoupSessionFeature*>(g_object_new(SOUP_TYPE_CONTENT_SNIFFER, NULL));
+     soup_session_add_feature(session, sniffer);
+     g_object_unref(sniffer);
++
++    soup_session_add_feature_by_type(session, SOUP_TYPE_CONTENT_DECODER);
+ }
+ 
+ void webkit_white_list_access_from_origin(const gchar* sourceOrigin, const gchar* destinationProtocol, const gchar* destinationHost, bool allowDestinationSubdomains)




More information about the arch-commits mailing list